<?php

  $cultural_festival_color_palette_css = '';

	// Global Color

	$cultural_festival_first_color = cultural_festival_get_option('cultural_festival_first_color');

	if($cultural_festival_first_color != false){
		$cultural_festival_color_palette_css .=':root {';
			$cultural_festival_color_palette_css .='--primary-color: '.esc_attr($cultural_festival_first_color).'!important;';
		$cultural_festival_color_palette_css .='}';
	}
	
	// Copyright Background Color
	$cultural_festival_copyright_background_color = cultural_festival_get_option('cultural_festival_copyright_background_color');
	$cultural_festival_color_palette_css .='#colophon {';
	$cultural_festival_color_palette_css .='background: '.esc_attr($cultural_festival_copyright_background_color);
	$cultural_festival_color_palette_css .='}';

	// Copyright Text Color
	$cultural_festival_copyright_text_color = cultural_festival_get_option('cultural_festival_copyright_text_color');
	$cultural_festival_color_palette_css .='#colophon a , #colophon{';
	$cultural_festival_color_palette_css .='color: '.esc_attr($cultural_festival_copyright_text_color);
	$cultural_festival_color_palette_css .='}';


	// Site title And tagline Option
	$cultural_festival_site_title_font_size = cultural_festival_get_option('cultural_festival_site_title_font_size');
	$cultural_festival_site_title_color = cultural_festival_get_option('cultural_festival_site_title_color');
	$cultural_festival_color_palette_css .='.site-title>a , .site-title {';
		$cultural_festival_color_palette_css .='font-size: '.esc_attr($cultural_festival_site_title_font_size).'px;';
		$cultural_festival_color_palette_css .='color: '.esc_attr($cultural_festival_site_title_color).';';
	$cultural_festival_color_palette_css .='}';
	
	$cultural_festival_site_tagline_font_size = cultural_festival_get_option('cultural_festival_site_tagline_font_size');
	if($cultural_festival_site_tagline_font_size != false){
		$cultural_festival_color_palette_css .='.site-description {';
			$cultural_festival_color_palette_css .='font-size: '.esc_attr($cultural_festival_site_tagline_font_size).'px;';
		$cultural_festival_color_palette_css .='}';
	}